#! /bin/sh
nfi_image_path=$1
nfi_image_name=$(basename $1)
echo "Patching image for FlashWizard"

echo $nfi_image_name >$nfi_image_path/imagename

echo 'mount -t devfs dev /dev                  '   >$nfi_image_path/go
echo 'if [ -d /lib/modules/$(uname -r) ] ; then'  >>$nfi_image_path/go
echo '  lsmod > /tmp/mod                       '  >>$nfi_image_path/go
echo '  while read line; do                    '  >>$nfi_image_path/go
echo '    set -- $(echo $line)                 '  >>$nfi_image_path/go
echo '    [ "$1" != "fb" ] && rmmod "$1"       '  >>$nfi_image_path/go
echo '  done < /tmp/mod                        '  >>$nfi_image_path/go
echo '  rm -f /tmp/mod                         '  >>$nfi_image_path/go
echo 'fi                                       '  >>$nfi_image_path/go
echo '/etc/init.d/rcS &                        '  >>$nfi_image_path/go
chmod 755 $nfi_image_path/go
